Summary: General Purpose Mouse support for Linux
Name: gpm
Version: 1.13
Release: 8
Copyright: GPL
Group: Daemons
Source: ftp://iride.unipv.it/pub/gpm/gpm-1.13.tar.gz
Source1: gpm.init
Patch0: gpm-1.12-emacs.patch
Patch1: gpm-1.12-make.patch
Prereq: /sbin/chkconfig /sbin/ldconfig /sbin/install-info
# this defines the library version that this package builds.
%define LIBVER 1.13
BuildRoot: /var/tmp/gpm-root
Summary(de): Allgemeine Mausuntersttzung fr Linux
Summary(fr): Gestion gnrale de la souris pour Linux
Summary(tr): Genel amal fare destei

%description
GPM adds mouse support to text-based Linux applications such as emacs,
Midnight Commander, and more. It also provides console cut-and-paste 
operations using the mouse. Includes a program to allow pop-up menus to
appear at the click of a mouse button. 

%package devel
Requires: gpm
Summary: development libraries and headers for writing mouse driven programs
Group: Development/Libraries
Summary(de): Entwicklungs-Libraries und Headers zum Schreiben von  mausgesteuerten Programmen 
Summary(fr): Bibliothques et en-ttes de dveloppement pour crire des programmes pilots par la souris
Summary(tr): Fare ile ynlendirilen programlar gelitirmek iin gerekli dosyalar

%description devel
This package allows you to develop your own text-mode programs that take
advantage of the mouse. 

%description -l de devel
Mit diesem Paket knnen Sie Ihre eigenen text-orientierten Programme
mit Mausuntersttzung entwickeln.

%description -l de
GPM ermglicht Maus-Untersttzung fr zeichenorientierte Linux-
Anwendungen wie z.B. emacs und Midnight Commander. Auerdem sind
Ausschneiden und Einfgen mit der Maus auf der Konsole mglich. Enthlt
ein Programm, da bei Mausklick ein Pop-up-Men aufruft.

%description -l fr devel
Ce paquetage permet de dvelopper des programmes en mode texte tirant
avantage de la souris.

%description -l fr
GPM ajoute un support souris au applications en mode texte de Linux comme
emacs, Midnight Commander, et bien d'autres. Cela fournit aussi des oprations
de copier/coller avec la souris sur les consoles. Comprend un programme
pour permettre l'apparition de menus droulants grace  un clic droit avec
la souris.

%description -l tr devel
Bu paket, fare kullanan yazlmlar gelitirmenizi salayan dosyalar ierir.

%description -l tr
GPM metin ekranda alan Linux uygulamalarna (emacs, Midnight Commander ve
dierleri gibi) fare destei salar. Ayrca fare yardmyla konsollar
arasnda kopyalama ve yaptrma olana sunar. Fare tklamasyla pop-up
menlerin kmasn salayan bir program da ierir.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc

%ifarch sparc
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
(echo MOUSETYPE=\"sun\"; echo XEMU3=no) > $RPM_BUILD_ROOT/etc/sysconfig/mouse
%endif

PATH=/sbin:$PATH:/usr/sbin:$PATH

make prefix=$RPM_BUILD_ROOT/usr install 

install -m644 gpm-root.conf $RPM_BUILD_ROOT/etc
install -s -m755 mouse-test $RPM_BUILD_ROOT/usr/bin
install -s -m755 hltest $RPM_BUILD_ROOT/usr/bin

( cd $RPM_BUILD_ROOT
  strip ./usr/bin/{gpm,mev,gpm-root}
  ln -sf libgpm.so.%{LIBVER} ./usr/lib/libgpm.so
  gzip -9nf ./usr/info/gpm.info*

  mkdir -p ./etc/rc.d/{init.d,rc0.d,rc1.d,rc2.d,rc3.d,rc4.d,rc5.d,rc6.d}
  install -m 755 $RPM_SOURCE_DIR/gpm.init ./etc/rc.d/init.d/gpm
  ln -sf ../init.d/gpm ./etc/rc.d/rc2.d/S85gpm
  ln -sf ../init.d/gpm ./etc/rc.d/rc3.d/S85gpm
  ln -sf ../init.d/gpm ./etc/rc.d/rc5.d/S85gpm
  ln -sf ../init.d/gpm ./etc/rc.d/rc0.d/K15gpm
  ln -sf ../init.d/gpm ./etc/rc.d/rc1.d/K15gpm
  ln -sf ../init.d/gpm ./etc/rc.d/rc6.d/K15gpm
) 

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add gpm
/sbin/ldconfig
/sbin/install-info /usr/info/gpm.info.gz /usr/info/dir --entry="* gpm: (gpm).                   Text-mode mouse library."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info /usr/info/gpm.info.gz --delete /usr/info/dir --entry="* gpm: (gpm).                   Text-mode mouse library."
fi

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
    /sbin/chkconfig --del gpm
fi

%files
%defattr(-,root,root)
%config /etc/gpm-root.conf

%ifarch sparc
%config /etc/sysconfig/mouse
%endif

/usr/bin/gpm
/usr/bin/mev
/usr/bin/gpm-root
/usr/bin/mouse-test
/usr/bin/hltest
/usr/share/emacs/site-lisp/t-mouse.el
/usr/share/emacs/site-lisp/t-mouse.elc
/usr/info/gpm.info*
/usr/man/man1/gpm.1
/usr/man/man1/mev.1
/usr/man/man1/gpm-root.1
/usr/lib/libgpm.so.%{LIBVER}
%config /etc/rc.d/init.d/gpm
%config(missingok) /etc/rc.d/rc2.d/S85gpm
%config(missingok) /etc/rc.d/rc3.d/S85gpm
%config(missingok) /etc/rc.d/rc5.d/S85gpm
%config(missingok) /etc/rc.d/rc0.d/K15gpm
%config(missingok) /etc/rc.d/rc1.d/K15gpm
%config(missingok) /etc/rc.d/rc6.d/K15gpm

%files devel
%defattr(-,root,root)
/usr/lib/libgpm.a
/usr/include/gpm.h
/usr/lib/libgpm.so

%changelog
* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- recompiled for manhattan

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 1.13

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added patch from Richard to get things to build on the SPARC

* Tue Oct 28 1997 Donnie Barnes <djb@redhat.com>
- fixed the emacs patch to install the emacs files in the right
  place (hopefully).

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- added chkconfig support
- added install-info

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.10 to 1.12
- added status/restart functionality to init script
- added define LIBVER 1.11

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
